Topic: npm install #dev is missing bootstrap.scss file

itay pro asked 4 years ago


installing ver 6.2.3 #dev according to https://mdbootstrap.com/angular/5min-quickstart/ requires at least 2 iterations and then this error persists: Failed to compile.   ./node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/bootstrap.scss (./node_modules/raw-loader!./node_modules/postcss-loader/lib??embedded!./node_modules/sass-loader/lib/loader.js??ref--14-3!./node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/bootstrap.scss) Module build failed: Error: EPERM: operation not permitted, open .\datepicker\node_modules\ng-uikit-pro-standard\assets\scss\bootstrap\bootstrap.scss'

Damian Gemza staff answered 4 years ago


Dear Fluzko, Please try to remove package-lock.json file, install node-sass package and try one more time. Best Regards, Damian

Fluzko free answered 4 years ago


hi, im having an issue. I have deleted the proyect i was working on and cloned it from my github:my git proyect After i did it, used the command "npm install" and when i use "ng serve" it doesnt works, sending me this error. i let photos below. SO: ubuntu 18.04.1 LTS ERROR in ./src/app/start-page/mini-ofertas/mini-ofertas.component.scss Module build failed: Error: Cannot find module 'node-sass' at Function.Module._resolveFilename (module.js:547:15) at Function.Module._load (module.js:474:25) at Module.require (module.js:596:17) at require (internal/module.js:11:18) at Object.<anonymous> (/opt/lampp/htdocs/Mapuert/node_modules/sass-loader/lib/loader.js:3:14) at Module._compile (module.js:652:30) at Object.Module._extensions..js (module.js:663:10) at Module.load (module.js:565:32) at tryModuleLoad (module.js:505:12) at Function.Module._load (module.js:497:3) at Module.require (module.js:596:17) at require (internal/module.js:11:18) at loadLoader (/opt/lampp/htdocs/Mapuert/node_modules/loader-runner/lib/loadLoader.js:13:17) at iteratePitchingLoaders (/opt/lampp/htdocs/Mapuert/node_modules/loader-runner/lib/LoaderRunner.js:169:2) at iteratePitchingLoaders (/opt/lampp/htdocs/Mapuert/node_modules/loader-runner/lib/LoaderRunner.js:165:10) at /opt/lampp/htdocs/Mapuert/node_modules/loader-runner/lib/LoaderRunner.js:173:18 that error repets for other things, every one has in common that "node-sass" not found. Hope any one can help me.  

itay pro answered 4 years ago


after additional npm installs and ng build it works

Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Pro
  • Premium support: No
  • Technology: MDB Angular
  • MDB Version: 6.2.2
  • Device: NA
  • Browser: NA
  • OS: NA
  • Provided sample code: No
  • Provided link: No
Tags